# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

from openstack import resource
from rackspace.monitoring import monitoring_service


class AgentToken(resource.Resource):
    base_path = 'agent_tokens'
    resources_key = 'values'
    service = monitoring_service.MonitoringService()

    # capabilities
    allow_create = True
    allow_delete = True
    allow_list = True
    allow_retrieve = True
    allow_update = True

    # Properties
    #: Optional description string
    name = resource.prop('label')
    #: The agent token ID. Agent tokens are used to authenticate monitoring
    #: agents to the monitoring service. Multiple agents on an account can
    #: share a single token.
    token = resource.prop('token')
